## libfishsound 0.6.3

=== doc/libfishsound/latex/Makefile ===
all: refman.dvi

ps: refman.ps

pdf: refman.pdf

ps_2on1: refman_2on1.ps

pdf_2on1: refman_2on1.pdf

refman.ps: refman.dvi
	dvips -o refman.ps refman.dvi

refman.pdf: refman.ps
	ps2pdf refman.ps refman.pdf

refman.dvi: refman.tex doxygen.sty
	echo "Running latex..."
	latex refman.tex
	echo "Running makeindex..."
	makeindex refman.idx
	echo "Rerunning latex...."
	latex refman.tex
	latex_count=5 ; \
	while egrep -s 'Rerun (LaTeX|to get cross-references right)' refman.log && [ $$latex_count -gt 0 ] ;\
	    do \
	      echo "Rerunning latex...." ;\
	      latex refman.tex ;\
	      latex_count=`expr $$latex_count - 1` ;\
	    done

refman_2on1.ps: refman.ps
	psnup -2 refman.ps >refman_2on1.ps

refman_2on1.pdf: refman_2on1.ps
	ps2pdf refman_2on1.ps refman_2on1.pdf

clean:
	rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out *.pdf

## libfishsound 1.0.0

=== win32/Makefile ===
# Set the value of $(MSVCDir) for your installation. 
# Please note that none of the directory names are allowed to have spaces 
# in them. You must use the short name 
#
# "C:\Program Files\Microsoft Visual Studio\VC98" will not work.
# "C:\Progra~1\Micros~1\VC98" will work.
MSVCDir="C:\PROGRA~1\MICROS~1.NET\Vc7"

# MSVCDir="C:\PROGRA~1\Micros~4\VC98"

CPP=cl.exe

LINK32=link.exe
LINK32_FLAGS=ogg.lib vorbis.lib libspeex.lib /nologo /dll /incremental:no /libpath:"$(MSVCDir)\Lib" /implib:".\libfishsound.lib" /machine:I386 /out:".\libfishsound.dll" 

PROG_LINK_FLAGS=/nologo /incremental:no /libpath:"$(MSVCDir)\Lib" /machine:I386 /exetype:dynamic

CFLAGS=/nologo /MD /W1 /GX /O2 /I"." /I"..\src\libfishsound" /I"..\include" /I"$(MSVCDir)\Include"  /D "WIN32" /D "_USRDLL" /YX /FD


#====================================================================
# Targets

ALL :  "libfishsound.dll" "fishsound-identify.exe" "fishsound-info.exe" "fishsound-encode.exe" "fishsound-decode.exe"

CLEAN:
	-@erase ".\*.obj"
	-@erase ".\vc60.idb"
	-@erase ".\libfishsound.dll"
	-@erase ".\libfishsound.exp"
	-@erase ".\libfishsound.lib"

#====================================================================

LINK32_OBJS= \
	".\fishsound.obj" \
	".\comments.obj" \
	".\speex.obj" \
	".\vorbis.obj" \
	".\fs_vector.obj"

"libfishsound.dll" : $(LINK32_OBJS) ".\libfishsound\libfishsound.def"
    $(LINK32) $(LINK32_FLAGS) /def:".\libfishsound\libfishsound.def" $(LINK32_OBJS)

"fishsound-identify.exe" : "..\src\examples\fishsound-identify.c"
	$(CPP) $(CFLAGS) /Fo".\fishsound-identify.obj" /c "..\src\examples\fishsound-identify.c"
	$(LINK32) $(PROG_LINK_FLAGS) /out:"fishsound-identify.exe" ".\fishsound-identify.obj" liboggz.lib libfishsound.lib

"fishsound-info.exe" : "..\src\examples\fishsound-info.c"
	$(CPP) $(CFLAGS) /Fo".\fishsound-info.obj" /c "..\src\examples\fishsound-info.c"
	$(LINK32) $(PROG_LINK_FLAGS) /out:"fishsound-info.exe" ".\fishsound-info.obj" liboggz.lib libfishsound.lib

"fishsound-encode.exe" : "..\src\examples\fishsound-encode.c"
	$(CPP) $(CFLAGS) /Fo".\fishsound-encode.obj" /c "..\src\examples\fishsound-encode.c"
	$(LINK32) $(PROG_LINK_FLAGS) /out:"fishsound-encode.exe" ".\fishsound-encode.obj" liboggz.lib libfishsound.lib libspeex.lib libsndfile.lib

"fishsound-decode.exe" : "..\src\examples\fishsound-decode.c"
	$(CPP) $(CFLAGS) /Fo".\fishsound-decode.obj" /c "..\src\examples\fishsound-decode.c"
	$(LINK32) $(PROG_LINK_FLAGS) /out:"fishsound-decode.exe" ".\fishsound-decode.obj" liboggz.lib libfishsound.lib libspeex.lib vorbis.lib libsndfile.lib


#====================================================================
# C files in src

.\fishsound.obj:
	$(CPP) $(CFLAGS) /Fo".\fishsound.obj" /c "..\src\libfishsound\fishsound.c"

.\comments.obj:
	$(CPP) $(CFLAGS) /Fo".\comments.obj" /c "..\src\libfishsound\comments.c"

.\speex.obj:
	$(CPP) $(CFLAGS) /Fo".\speex.obj" /c "..\src\libfishsound\speex.c"

.\vorbis.obj:
	$(CPP) $(CFLAGS) /Fo".\vorbis.obj" /c "..\src\libfishsound\vorbis.c"

.\fs_vector.obj:
	$(CPP) $(CFLAGS) /Fo".\fs_vector.obj" /c "..\src\libfishsound\fs_vector.c"

# End of Makefile
#====================================================================

=== debian/changelog ===
libfishsound (1.0.0-8) unstable; urgency=medium

  * Removed stray /pd/ from Vcs-* stanzas
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Sep 2018 21:07:32 +0200

libfishsound (1.0.0-7) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Added CPE id in d/upstream/metadata for future reference.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Dropped libfishsound-dbg in favour of the automatically created
    libfishsound1-dbgsym package
  * Marked packages as Multi-Arch:same
  * Adopted package into the Debian Multimedia Maintainers team
    (Closes: #899571)
  * Added myself to uploaders
  * Fixed Vcs-* stanzas
  * Switched upstream homepage to https://
  * Don't require "root" for building the package
  * Machine-readable d/copyright
    * Added licensecheck target
    * Generated d/copyright_hints
  * Removed trailing whitespace from d/changelog and d/control
  * Bumped dh-compat to 11
    * Dropped special handling of dh_auto_configure
  * Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Jul 2018 16:37:18 +0200

libfishsound (1.0.0-6) unstable; urgency=medium

  * Add debian/gbp.conf to enforce the user of pristine-tar.
  * Changed Standards-Version from 3.9.6 to 3.9.8.
  * Migraded package to debhelper 9 and moved library files to
    multi-arch compatible directory.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 05 Dec 2016 08:44:50 +0000

libfishsound (1.0.0-5) unstable; urgency=medium

  * Added Ralph Giles as uploader.
  * Added simple autopkgtest script to verify compiling and linking work.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 27 May 2016 12:59:39 +0200

libfishsound (1.0.0-4) unstable; urgency=low

  [ Martin Steghöfer ]
  * Format patches for gbp-pq.
  * Fix incompatible flac callback types (Closes: #766394).
    Thank you Ron Lee for the tip on how to fix the s390x build problem.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 Oct 2014 22:57:21 +0200

libfishsound (1.0.0-3) unstable; urgency=low

  [ Martin Steghöfer ]
  * Added missing build dependency to "pkg-config".

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 21 Oct 2014 20:39:35 +0200

libfishsound (1.0.0-2) unstable; urgency=low

  [ Martin Steghöfer ]
  * Updated meta information (VCS and Homepage).
  * Make libfishsound1-dev depend on libflac-dev (Closes: #739154).
    Thanks to Jan Gerber.

  [ Petter Reinholdtsen ]
  * Update uploaders, add me and Martin Steghöfer and drop John
    Francesco Ferlito. Thank you for the great work.
  * Updated standards-version from 3.8.3 to 3.9.6.
  * Switch to 3.0 (quilt) source format.
  * Added 010-configure-macro-dir.patch partly fetched from Ubuntu to
    use m4/ as the autoconf macro directory.
  * Use dh_autoreconf instead of overriding configure. Patch from
    Dimitri John Ledkov and Ubuntu (Closes: #754452).
  * Add new 050-flac-set-vendor_string.length-0.patch to initialize
    vendor string, cherrypicked by Dimitri John Ledkov and Ubuntu.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 21 Oct 2014 15:32:30 +0200

libfishsound (1.0.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable hardened build flags (Closes: #657847)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 15 Jun 2012 16:29:46 +0200

libfishsound (1.0.0-1) unstable; urgency=low

  * New upstream release. (Closes: #534744)
  * Updated debian/symbols
  * Remove DM Upload
  * Move to debhelper 7 dh debian/rules

 -- John Francesco Ferlito <johnf@inodes.org>  Fri, 05 Feb 2010 21:34:26 +1100

libfishsound (0.9.2-3) unstable; urgency=low

  * debian/control:
    + Update Maintainer to Debian Xiph.org Maintainers.
    + Add John Francesco Ferlito to Uploaders.
    + Remove DM-Upload-Allowed.
  * Moved to debhelper 7.
  * Update debian/rules

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 06 Oct 2009 20:26:21 +1100

libfishsound (0.9.2-2) unstable; urgency=low

  * Change section for libfishsound1-dbg to debug

 -- John Francesco Ferlito <johnf@inodes.org>  Thu, 28 May 2009 08:08:18 +1000

libfishsound (0.9.2-1) unstable; urgency=low

  * New upstream.
  * Update debian/watch with new archive location
  * Really build with libflac support

 -- John Francesco Ferlito <johnf@inodes.org>  Wed, 27 May 2009 21:27:00 +1000

libfishsound (0.9.1-3) unstable; urgency=low

  * Moved to section sound
  * Closing bug fixed upstream some time ago (Closes: #475732)

 -- John Ferlito <johnf@inodes.org>  Fri, 19 Sep 2008 21:23:44 +1000

libfishsound (0.9.1-2) unstable; urgency=low

  * CVE-2008-1686 code execution via crafted header containing negative
    offsets, should have been closed in 0.9.1-1 (Closes: #475152)
  * Add DM-Upload-Allowed: yes to debian/control
  * Update standards version to 3.8.0 (no changes)

 -- John Ferlito <johnf@inodes.org>  Wed, 16 Jul 2008 20:23:53 +1000

libfishsound (0.9.1-1) unstable; urgency=low

  * New upstream.
  * New maintainer.
  * Update for new standards vesion 3.7.3
  * Check debian/watch is up to date. closes: #450064
  * Build with libflac support

 -- John Ferlito <johnf@inodes.org>  Sat, 09 Feb 2008 22:37:58 +1100

libfishsound (0.7.0-2.1) unstable; urgency=low

  * Porter NMU.
  * Re-libtoolize (Closes: #306790).
  * Add libc-dev as an alternative to libc6-dev.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Mar 2007 20:08:09 +0100

libfishsound (0.7.0-2) unstable; urgency=low

  * Updated -dev package dependencies, per recommendations in the Library
    Packaging Guide.
  * Dump config.log if there's an error in configure.

 -- Jamie Wilkinson <jaq@debian.org>  Mon,  3 Apr 2006 22:16:56 +1000

libfishsound (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Updated files lists due to DSO filename change.
  * Bumped standards version to 3.6.2 (no other changes required).
  * Added examples from src/examples in libfishsound1-dev.  (Closes: #338988)

 -- Jamie Wilkinson <jaq@debian.org>  Mon,  3 Apr 2006 14:54:52 +1000



=== debian/control ===
Source: libfishsound
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>
 , Martin Steghöfer <martin@steghoefer.eu>
 , Ralph Giles <giles@thaumas.net>
 , IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends:
 debhelper (>= 11~)
 , pkg-config
 , libspeex-dev
 , libvorbis-dev
 , libflac-dev
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/libfishsound.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libfishsound
Homepage: https://xiph.org/fishsound/

Package: libfishsound1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple API that wraps Xiph.Org audio codecs
 libfishsound is a wrapper around the existing codec libraries and
 provides a consistent, higher-level programming interface. It has been
 designed for use in a wide variety of applications; it has no direct
 dependencies on Annodex or Ogg encapsulation, though it is most commonly
 used in conjunction with liboggz to decode or encode Ogg encapsulated
 Vorbis or Speex files.

Package: libfishsound1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libfishsound1 (= ${binary:Version}), ${misc:Depends}, libspeex-dev, libvorbis-dev, libflac-dev
Provides: libfishsound-dev
Conflicts: libfishsound-dev
Description: simple API that wraps Xiph.Org audio codecs (development files)
 libfishsound is a wrapper around the existing codec libraries and
 provides a consistent, higher-level programming interface. It has been
 designed for use in a wide variety of applications; it has no direct
 dependencies on Annodex or Ogg encapsulation, though it is most commonly
 used in conjunction with liboggz to decode or encode Ogg encapsulated
 Vorbis or Speex files.
 .
 This package contains the header files and static libraries required for
 developing applications that use libfishsound.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='libfishsound1-dbg (<< 1.0.0-7~)'

licensecheck:
	licensecheck --deb-machine -r * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/tests/control ===
Tests: test-simple-build-link
Depends: @, build-essential, valgrind
Restrictions: allow-stderr

=== debian/watch ===
version=2
https://downloads.xiph.org/releases/libfishsound/ libfishsound-([\d\.]+)\.tar\.gz debian uupdate

## libfishsound 1.0.1

=== debian/changelog ===
libfishsound (1.0.1-1build1) plucky; urgency=medium

  * Rebuild against latest flac

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 08:11:52 -0400

libfishsound (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
    - Dropped all patches now included upstream.
  * Replaced obsolete pkg-config build dependency with pkgconf.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Feb 2025 16:58:14 +0000

libfishsound (1.0.0-12) unstable; urgency=medium

  * Only install valgrind for autopkgtest on archs where it is available.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 13 Feb 2025 14:31:02 +0100

libfishsound (1.0.0-11) unstable; urgency=medium

  * Updated autopkgtest check to work with newer GCC.
  * Updated Standards-Version from 4.6.2 to 4.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 12 Feb 2025 08:06:23 +0100

libfishsound (1.0.0-10) unstable; urgency=medium

  * B-D on 'doxygen' when building docs (Closes: #1049656)
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Aug 2023 16:53:43 +0200

libfishsound (1.0.0-9) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Include API-documentation (HTML)
  * Mark API-Documentation (LaTeX) and libtool libraries as not-installed
  * Add Build-Depends to symbols file
  * Debug-symbol migration is complete
  * Apply 'wrap-and-sort -ast'
  * Add salsa-ci configuration
  * Add lintian-override for Doxygen documentation
  * Bump version of d/watch
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 29 Sep 2022 12:28:36 +0200

=== debian/tests/control ===
Tests: test-simple-build-link
Depends: @,
 build-essential,
 valgrind [amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x]
Restrictions: allow-stderr
